1

I have created a sde schema in my postgresql database , I check all the priviliedges and everything. I also put the st_geometry.so in lib path of postgresql 9.1.3 installed on the server. I have ArcGIS 10.1

When I am trying to "enable geodatabase" from the database in ArcMap 10.1 I am getting theses errors:

relation "sde.sde_layers" does not exist at character 22
STATEMENT:  select count(*) from work.sde.sde_layers

ERROR:  relation "sde.gdb_items" does not exist at character 15
STATEMENT:  select 1 FROM sde.GDB_ITEMS

ERROR:  function st_geometry_version() does not exist at character 8
HINT:  No function matches the given name and argument types. You might need to add explicit type casts.

STATEMENT:  SELECT ST_GEOMETRY_VERSION()::varchar
ERROR:  could not load library "/usr/local/pgsql/lib/st_geometry.so": /usr/local/pgsql/lib/st_geometry.so: undefined symbol: DirectFunctionCall1

STATEMENT:  Create OR Replace FUNCTION public.ST_Geometry_Version() RETURNS text AS 'st_geometry', 'ST_Geometry_Version' LANGUAGE 'C' WITH (ISCACHABLE, ISSTRICT)

I appreciate any help.

2

The library load failure is the only significant message. The most likely cause is failure to copy the PostgreSQL 9.1 support library from Desktop10.1\DatabaseSupport\PostgreSQL\9.1\Linux64 (Windows) or arcgis/server/DatabaseSupport/PostgreSQL/9.1/Linux64 (Linux).

The MD5sum from my 10.1sp1 st_geometry.so is 4a60a91c3ac1a3759880456fe723ab5f (the 9.0 library md5sum is 984229154e8b6b670383a4ff3a9b42a7, and the 10.1 Final 9.0 library md5sum is 88883f2371a292e7e64879f572f2cd08)

|improve this answer|||||

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.